Attribute VB_Name = "mod_Office_GetFolder_s4p"
Option Compare Database
Option Explicit

' module name: mod_Office_GetFolder_s4p
'*************** Code Start ***************************************************
' Purpose  : get a folder path using the Office file dialog box
'              browse to a folder, Office.FileDialog
' Author   : crystal (strive4peace)
' Code List: www.msaccessgurus.com/code.htm
' This code: https://msaccessgurus.com/VBA/Office_GetFolder.htm
' LICENSE  :
'   You may freely use and share this code, but not sell it.
'   Keep attribution. Mark your changes. Use at your own risk.
'--------------------------------------------------------------------------------
'                              Constants
'--------------------------------------------------------------------------------
'bind early or late?
Public Const gIsEarly As Boolean = True
'set compiler directive constant
#Const IsEarly = gIsEarly
'--------------------------------------------------------------------------------
'                              GetFolder
'--------------------------------------------------------------------------------
Function GetFolder( _
   Optional psTitle As String = "Select Folder" _
   ) As String
'return folder path or "" if nothing chosen
'     for example, C:\MyPath
'crystal, strive4peace 220121, 230204
' REFERENCE for early binding
'     Microsoft Office #.0 Object Library
'     developed with 16.0

   'initialize return value
   GetFolder = ""
   
   'dimension FileDialog object
   #If IsEarly Then
      Dim fDialog As Office.FileDialog
   #Else
       Dim fDialog  As Object
   #End If

   '   msoFileDialogOpen = 1
   '   msoFileDialogSaveAs = 2
   '   msoFileDialogFilePicker = 3
   '   msoFileDialogFolderPicker = 4
   
   'Set File Dialog. 4=msoFileDialogFolderPicker
   Set fDialog = Application.FileDialog(4)
   'set Title and GetFolder
   With fDialog
      .Title = psTitle
      If .Show Then
         GetFolder = .SelectedItems(1)
      End If
   End With
   'release object
   Set fDialog = Nothing
End Function
'*************** Code End *****************************************************
